Error trace triggers each time a event runs and no handler defined

Bug #1668652 reported by Simon Goodfellow on 2017-02-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenLP
High
Tim Bentley

Bug Description

OpenLP 2.4.5
Windows 10 Home and Ubuntu 10.04

Error reported as 'Event slidecontroller_live_started called but not registered' causes trace every transition into an item in the live service. During the trace keyboard input seems to be ignored (not a big deal and its not very long) and arrival of requests from remotes is ignored (the requests and picked up when further requests are made)

2017-02-28 10:38:05,875 openlp.core.OpenLP DEBUG Entering process_events
2017-02-28 10:38:05,888 openlp.core.ui.slidecontroller.LiveController DEBUG Entering set_blank_menu
2017-02-28 10:38:05,976 openlp.core.common.registry ERROR OpenLP Error trace
   File /usr/bin/openlp at line 44
  called main()
   File /usr/share/openlp/openlp/core/__init__.py at line 391
  called sys.exit(application.run(qt_args))
   File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
  called return func(*args, **kwargs)
   File /usr/share/openlp/openlp/core/__init__.py at line 162
  called return self.exec()
   File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
  called return func(*args, **kwargs)
   File /usr/share/openlp/openlp/core/__init__.py at line 92
  called result = QtWidgets.QApplication.exec()
   File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
  called return func(*args, **kwargs)
   File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 552
  called self._process_queue()
   File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 569
  called self.service_manager.next_item()
   File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
  called return func(*args, **kwargs)
   File /usr/share/openlp/openlp/core/ui/servicemanager.py at line 1039
  called self.make_live()
   File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
  called return func(*args, **kwargs)
   File /usr/share/openlp/openlp/core/ui/servicemanager.py at line 1478
  called self.live_controller.add_service_manager_item(self.service_items[item]['service_item'], child)
   File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
  called return func(*args, **kwargs)
   File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 808
  called self._process_item(item, slide_num)
   File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 910
  called Registry().execute('slidecontroller_%s_started' % self.type_prefix, [self.service_item])
   File /usr/share/openlp/openlp/core/common/registry.py at line 145
  called trace_error_handler(log)
   File /usr/share/openlp/openlp/core/common/__init__.py at line 52
  called for tb in traceback.extract_stack():
2017-02-28 10:38:05,976 openlp.core.common.registry ERROR Event slidecontroller_live_started called but not registered

Log file for one live run through a service using keyboard attached.

Related branches

Phill (phill-ridout) wrote :

Hi Simon,

Any chance you are still getting this error? If so, would it be possible to export your settings and attach them here please?

Download full text (3.9 KiB)

Hi Phill

Yes I still get this behaviour on 2.4.6 on Windows 10 and OSX for sure, I
wasn't able to try Ubuntu just now. Attached are the settings files for
these two systems.

Let me know if you need me to do any more debug.

Simon

On Thu, Nov 9, 2017 at 10:31 AM, Phill <email address hidden> wrote:

> Hi Simon,
>
> Any chance you are still getting this error? If so, would it be possible
> to export your settings and attach them here please?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1668652
>
> Title:
> Error trace everytime live service moves into new item
>
> Status in OpenLP:
> New
>
> Bug description:
> OpenLP 2.4.5
> Windows 10 Home and Ubuntu 10.04
>
> Error reported as 'Event slidecontroller_live_started called but not
> registered' causes trace every transition into an item in the live
> service. During the trace keyboard input seems to be ignored (not a
> big deal and its not very long) and arrival of requests from remotes
> is ignored (the requests and picked up when further requests are made)
>
> 2017-02-28 10:38:05,875 openlp.core.OpenLP
> DEBUG Entering process_events
> 2017-02-28 10:38:05,888 openlp.core.ui.slidecontroller.LiveController
> DEBUG Entering set_blank_menu
> 2017-02-28 10:38:05,976 openlp.core.common.registry
> ERROR OpenLP Error trace
> File /usr/bin/openlp at line 44
> called main()
> File /usr/share/openlp/openlp/core/__init__.py at line 391
> called sys.exit(application.run(qt_args))
> File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
> called return func(*args, **kwargs)
> File /usr/share/openlp/openlp/core/__init__.py at line 162
> called return self.exec()
> File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
> called return func(*args, **kwargs)
> File /usr/share/openlp/openlp/core/__init__.py at line 92
> called result = QtWidgets.QApplication.exec()
> File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
> called return func(*args, **kwargs)
> File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 552
> called self._process_queue()
> File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 569
> called self.service_manager.next_item()
> File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
> called return func(*args, **kwargs)
> File /usr/share/openlp/openlp/core/ui/servicemanager.py at line 1039
> called self.make_live()
> File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
> called return func(*args, **kwargs)
> File /usr/share/openlp/openlp/core/ui/servicemanager.py at line 1478
> called self.live_controller.add_service_manager_item(self.
> service_items[item]['service_item'], child)
> File /usr/share/openlp/openlp/core/common/openlpmixin.py at line 54
> called return func(*args, **kwargs)
> File /usr/share/openlp/openlp/core/ui/slidecontroller.py at line 808
> ...

Read more...

I saw this in the code the other day. For some reason, we try to call "slidecontroller_live_started" from the Registry without ever having actually registered the function call. The settings files won't reveal anything because it's a code issue.

I think I removed this line of code in trunk because it wasn't going anywhere.

Tim Bentley (trb143) on 2017-11-09
Changed in openlp:
status: New → Confirmed
assignee: nobody → Tim Bentley (trb143)
Tim Bentley (trb143) on 2017-11-09
Changed in openlp:
importance: Undecided → Low
status: Confirmed → In Progress
milestone: none → 2.5.1
milestone: 2.5.1 → none
Tim Bentley (trb143) wrote :

It is registered but theSongUsagePlugin is deactivated so the register has not been called.
It registers a song has been used.

Need to consider how to stop the error being triggered.

summary: - Error trace everytime live service moves into new item
+ Error trace triggers each time a event runs and no handler defined
Changed in openlp:
importance: Low → High
Tim Bentley (trb143) on 2017-11-11
Changed in openlp:
milestone: none → 2.5.1
status: In Progress → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers